# Method: indexing.datasources.items.list

- [HTTP request](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#body.request_body)
- [Response body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#body.ListItemsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items/list#try-it)

Lists all or a subset of `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#Item`.

This API requires an admin or service account to execute. The service account used is the one whitelisted in the corresponding data source.

### HTTP request

`GET https://cloudsearch.googleapis.com/v1/indexing/{name=datasources/*}/items`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the data Source to list Items. Format: datasources/{sourceId} |

### Query parameters

| Parameters ||
|---|---|
| `connectorName` | `string` The name of connector making this call. Format: datasources/{sourceId}/connectors/{id} |
| `brief` | `boolean` When set to true, the indexing system only populates the following fields: `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#Item.FIELDS.name`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#Item.FIELDS.version`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#Item.FIELDS.queue`. `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.hash`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.title`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.source_repository_url`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.object_type`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.create_time`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.update_time`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.content_language`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemMetadata.FIELDS.mime_type`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemStructuredData.FIELDS.hash`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemContent.FIELDS.hash`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#Item.ItemType`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ItemStatus.FIELDS.code`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#ProcessingError.FIELDS.code`, `https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#RepositoryError.FIELDS.type`, If this value is false, then all the fields are populated in Item. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `pageSize` | `integer` Maximum number of items to fetch in a request. The max value is 1000 when brief is true. The max value is 10 if brief is false. The default value is 10 |
| `debugOptions` | ``object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/DebugOptions`)`` Common debug options. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "items": [ { object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#Item`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `items[]` | ``object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/indexing.datasources.items#Item`)`` |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud_search.indexing`
- `https://www.googleapis.com/auth/cloud_search`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).